Bug 1274665 - On Failure dropdown list is displayed twice if "Do nothing" option is selected during heat stack deployment
On Failure dropdown list is displayed twice if "Do nothing" option is selecte...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Dávid Halász
Aziza Karol
:
: 1274825 1283728 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 06:17 EDT by Aziza Karol
Modified: 2015-12-08 08:39 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-10-23 06:17:53 EDT
Created attachment 1085778 [details]
drpdown list dispalyed twice

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.7

How reproducible:
100%

Steps to Reproduce:
1.create a catalog item to deploy heat stack for openstack provider
2.Navigate to all services and click on order button
3.in service order page , select  "Do nothing" on Failure option.

Actual results:
On Failure dropdown list is displayed twice. see attached screenshot

Expected results:


Additional info:
Comment 3 Harpreet Kataria 2015-10-23 13:40:17 EDT
*** Bug 1274825 has been marked as a duplicate of this bug. ***
Comment 7 CFME Bot 2015-11-10 15:40:16 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0b17163e096dc88a4a5ecec0975e232b5a7cedde

commit 0b17163e096dc88a4a5ecec0975e232b5a7cedde
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Fri Nov 6 16:49:35 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Fri Nov 6 16:52:08 2015 +0100

    Reinitialized `boostrap-select` when re-rendering a select in svccat
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274665

 app/controllers/application_controller/dialog_runner.rb    | 14 ++------------
 app/controllers/miq_ae_customization_controller/dialogs.rb |  4 ++++
 .../shared/dialogs/_dialog_field_drop_down_list.html.haml  |  5 ++++-
 3 files changed, 10 insertions(+), 13 deletions(-)
Comment 9 CFME Bot 2015-11-12 15:30:58 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=9d4f5efca23c60c607f7b1e5c4e3c902dc5f201e

commit 9d4f5efca23c60c607f7b1e5c4e3c902dc5f201e
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Fri Nov 6 16:49:35 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Nov 11 10:03:07 2015 +0100

    Reinitialized `boostrap-select` when re-rendering a select in svccat
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274665
    https://github.com/ManageIQ/manageiq/pull/5331
    
    (cherry picked from commit 0b17163e096dc88a4a5ecec0975e232b5a7cedde)

 app/controllers/application_controller/dialog_runner.rb    | 14 ++------------
 app/controllers/miq_ae_customization_controller/dialogs.rb |  4 ++++
 .../shared/dialogs/_dialog_field_drop_down_list.html.haml  |  5 ++++-
 3 files changed, 10 insertions(+), 13 deletions(-)
Comment 10 CFME Bot 2015-11-12 15:31:38 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=b4f49396415f400bd5929484c39848ae85929758

commit b4f49396415f400bd5929484c39848ae85929758
Merge: 11313ff 9d4f5ef
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 11 10:15:57 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 11 10:15:57 2015 -0500

    Merge branch 'bz-1274665' into '5.5.z'
    
    Reinitialized `boostrap-select` when re-rendering a select in svccat
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274665
    https://github.com/ManageIQ/manageiq/pull/5331
    
    (cherry picked from commit 0b17163e096dc88a4a5ecec0975e232b5a7cedde)
    
    See merge request !399

 app/controllers/application_controller/dialog_runner.rb    | 14 ++------------
 app/controllers/miq_ae_customization_controller/dialogs.rb |  4 ++++
 .../shared/dialogs/_dialog_field_drop_down_list.html.haml  |  5 ++++-
 3 files changed, 10 insertions(+), 13 deletions(-)
Comment 11 Aziza Karol 2015-11-19 05:05:37 EST
On Failure dropdown list is displayed only once during heat stack deployment.

Verified:
5.5.0.11-rc1.20151117182049_653c0d4
Comment 12 Harpreet Kataria 2015-11-24 11:41:32 EST
*** Bug 1283728 has been marked as a duplicate of this bug. ***
Comment 14 errata-xmlrpc 2015-12-08 08:39:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.